apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $.Chart.Name }}-nginx
  labels:
    {{- include "ska-oso-ptt.labels" . | indent 4 }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{ $.Chart.Name }}
  template:
    metadata:
      labels:
        {{- include "ska-oso-ptt.labels" . | indent 8 }}
    spec:
      containers:
        - name: nginx
          image: "{{ .Values.image.registry }}/{{ .Values.image.image }}:{{ .Values.image.tag | default $.Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          envFrom:
            - configMapRef:
                name: {{ $.Chart.Name }}-environment
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
            periodSeconds: 60
          readinessProbe:
            httpGet:
              path: /
              port: http
            periodSeconds: 60
